--- old/usr/src/lib/libm/common/C/log1p.c	2014-05-11 12:15:32.393257211 +0200
+++ new/usr/src/lib/libm/common/C/log1p.c	2014-05-11 12:15:32.607191584 +0200
@@ -123,7 +123,7 @@
 
 double
 log1p(double x) {
-	double	hfsq, f, c, s, z, R, u;
+	double	hfsq, f, c = 0.0, s, z, R, u;
 	int	k, hx, hu, ax;
 
 	hx = ((int *)&x)[HIWORD];		/* high word of x */
@@ -152,6 +152,7 @@
 			hu = 1;
 		}
 	}
+	/* We will initialize 'c' here. */
 	if (k != 0) {
 		if (hx < 0x43400000) {
 			u = 1.0 + x;
@@ -183,6 +184,7 @@
 		if (f == zero) {
 			if (k == 0)
 				return (zero);
+			/* We already initialized 'c' before, when (k != 0) */
 			c += k * ln2_lo;
 			return (k * ln2_hi + c);
 		}
